Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] [Gelöst] Installation von RStudio [Test-Build]  (Read 3510 times)

Offline Isegrimm666

  • User
  • Posts: 104
[DE] [Gelöst] Installation von RStudio [Test-Build]
« on: 2023/06/27, 06:40:27 »
Guten Morgen ...

Wie der Betreff schon sagt, versuche ich "RStudio" zu installieren. Das *.deb-Paket habe ich mir von der offiziellen Page besorgt und mit dpkg versucht zu installieren:


Quote
Code: [Select]
[06:24:17][root@isegrimm-23564e4:/home/isegrimm/Downloads]# dpkg -i rstudio-2023.06.0-421-amd64.deb
Vormals nicht ausgewähltes Paket rstudio wird gewählt.
(Lese Datenbank ... 546010 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von rstudio-2023.06.0-421-amd64.deb ...
Entpacken von rstudio (2023.06.0+421) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von rstudio:
 rstudio hängt ab von libssl1.0.0 | libssl1.0.2 | libssl1.1; aber:
  Paket libssl1.0.0 ist nicht installiert.
  Paket libssl1.0.2 ist nicht installiert.
  Paket libssl1.1 ist nicht installiert.
 rstudio hängt ab von libclang-dev; aber:
  Paket libclang-dev ist nicht installiert.

dpkg: Fehler beim Bearbeiten des Paketes rstudio (--install):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Trigger für desktop-file-utils (0.26-1) werden verarbeitet ...
Trigger für mailcap (3.70+nmu1) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.17-2) werden verarbeitet ...
Trigger für shared-mime-info (2.2-1) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
 rstudio
[06:24:36][root@isegrimm-23564e4:/home/isegrimm/Downloads]#


Offensichtlich sind 3 Bibliotheken nicht vorhanden. Also versuche ich, diese nachzuinstallieren:


Quote
Code: [Select]
[06:29:25][root@isegrimm-23564e4:/home/isegrimm/Downloads]# apt install -f libssl1.0.0 libssl1.0.2 libssl1.1
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
Paket libssl1.1 ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.

Paket libssl1.0.0 ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.

Paket libssl1.0.2 ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.

E: Für Paket »libssl1.0.0« existiert kein Installationskandidat.
E: Für Paket »libssl1.0.2« existiert kein Installationskandidat.
E: Für Paket »libssl1.1« existiert kein Installationskandidat.
[06:30:38][root@isegrimm-23564e4:/home/isegrimm/Downloads]#

Auch das ist nicht möglich ... die Pakete gibt's nicht.

Habt ihr irgendwelche Ideen, ohne dass ich mir - z.B. durch Änderung der Sourcen - ggf. das System zerschieße?

Gruß
Stefan

Update 07:44:
Lösung in erster Antwort. --> RStudio, Version "Ubuntu 22"
« Last Edit: 2023/06/27, 07:48:25 by Isegrimm666 »

Offline fams

  • User
  • Posts: 41
Re: Installation von RStudio [Test-Build]
« Reply #1 on: 2023/06/27, 07:23:08 »
libssl ist in sid bei Version 3.
Ich nehme an, du hast die Version für Ubuntu20/Debian11 und den entsprechend alten Abhängigkeiten heruntergeladen.
Nimm die Version für Ubuntu 22, die funktioniert scheinbar.
Installiert und startet jedenfalls problemlos. Weiter hab ich es nicht getestet.

Offline Isegrimm666

  • User
  • Posts: 104
Re: Installation von RStudio [Test-Build]
« Reply #2 on: 2023/06/27, 07:44:00 »
Der vorgeschlagene Wechsel auf "Ubuntu 22" war der richtige Tipp. Es fehlte eine lib, die ich versuchte nachzuinstallieren ... aber dann musste ich doch nur nochmal ein"apt --fix-broken install" durchführen.

Quote
[07:32:45][root@isegrimm-23564e4:/home/isegrimm/Downloads]# dpkg -i rstudio-2023.06.0-421-amd64.deb
(Lese Datenbank ... 550464 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von rstudio-2023.06.0-421-amd64.deb ...
Entpacken von rstudio (2023.06.0+421) über (2023.06.0+421) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von rstudio:
rstudio hängt ab von libssl-dev; aber:
  Paket libssl-dev ist nicht installiert.
rstudio hängt ab von libclang-dev; aber:
  Paket libclang-dev ist nicht installiert.

[07:33:30][root@isegrimm-23564e4:/home/isegrimm/Downloads]# apt install libssl-dev
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
rstudio : Hängt ab von: libclang-dev soll aber nicht installiert werden
E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).


[07:34:18][root@isegrimm-23564e4:/home/isegrimm/Downloads]# apt --fix-broken install
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
Abhängigkeiten werden korrigiert … Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libgdal32 liblc3-0 libmujs2 linux-headers-6.2.6-1-siduction-amd64 linux-image-6.2.6-1-siduction-amd64
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  lib32gcc-s1 lib32stdc++6 libc6-i386 libclang-14-dev libclang-common-14-dev libclang-dev libclang-rt-14-dev libclang1-14 libllvm14 libobjc-12-dev libobjc4 libssl-dev
Vorgeschlagene Pakete:
  libssl-doc
Die folgenden NEUEN Pakete werden installiert:
  lib32gcc-s1 lib32stdc++6 libc6-i386 libclang-14-dev libclang-common-14-dev libclang-dev libclang-rt-14-dev libclang1-14 libllvm14 libobjc-12-dev libobjc4 libssl-dev
0 aktualisiert, 12 neu installiert, 0 zu entfernen und 2 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen 61,2 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 480 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]

Jetzt ist RStudio da ...

Danke ;)

Offline fams

  • User
  • Posts: 41
Re: [Gelöst] Installation von RStudio [Test-Build]
« Reply #3 on: 2023/06/27, 08:04:31 »
Schön.
Man kann auch direkt apt install <Pfad zum heruntergeladenen deb-File> verwenden, dann werden auch gleich die Abhängigkeiten aufgelöst und nachinstalliert.

Offline Isegrimm666

  • User
  • Posts: 104
Re: [Gelöst] Installation von RStudio [Test-Build]
« Reply #4 on: 2023/06/27, 08:12:12 »
Hatte ich auch probiert ...

Und jetzt, wo du es schreibst fällt mir auch mein Fehler auf:

Ich schrieb: apt -f install rstudio-2023.06.0-421-amd64.deb

... und nicht wie es korrekt wäre: apt -f install ./rstudio-2023.06.0-421-amd64.deb

Ich hatte den lokalen Verweis vergessen. *shame


Online towo

  • Administrator
  • User
  • *****
  • Posts: 2.957
Re: [Gelöst] Installation von RStudio [Test-Build]
« Reply #5 on: 2023/06/27, 08:15:12 »

Quote
.. und nicht wie es korrekt wäre: apt -f install ./rstudio-2023.06.0-421-amd64.deb
Weil das auch nicht korrekt ist!


Code: [Select]
apt install /path/to/local.deb
Code: [Select]
apt install ./local.deb
funktioniert nur, wenn man sich im Verzeichnis befindet. das -f hat an dieser Stelle NICHTS zu suchen!
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline Isegrimm666

  • User
  • Posts: 104
Re: [Gelöst] Installation von RStudio [Test-Build]
« Reply #6 on: 2023/06/27, 11:04:35 »
Ich dachte, der -f-Parameter wäre grundsätzlich nicht verkehrt.

Nun ... wieder was gelernt.